#!/bin/bash
cd data_out/dep_en_L
LList="8 16 32 64"
LFinalList=()

mkdir -p tmpdata
for L in $LList; do
  if [ -d "$L" ]; then
    (cd $L; cat *.res | sort -nk2 > "../tmpdata/$L.dat")
    LFinalList+=("$L")
  else
    echo "Folder with L=$L doesn't exist, skipping."
  fi
done

LFinalListString="${LFinalList[@]}"

cd ../../
mkdir -p data_out/dep_en_L_graphs
./graphs/dependenciaEnL.gnu "$LFinalListString"
rm -rf data_out/dep_en_L/tmpdata
